#!/bin/bash
ibmcloud login --apikey "$API_KEY" -r "$REGION" -g "$RESOURCE_GROUP" -q

ID=$(ibmcloud ks worker-pool ls --cluster $CLUSTER --json | jq -r '.[] | select(.poolName == "default") | .id')

if [ "$ID" == "" ]; then 
  echo "No default worker pool for $CLUSTER"
else
  echo "Deleting default worker pool ..."
  echo "y" | ibmcloud ks worker-pool rm --cluster $CLUSTER --worker-pool $ID
fi 