##############################################################################
# Account Variables
##############################################################################
variable ibmcloud_apikey {
  description = "The IBM Cloud platform API key needed to deploy IAM enabled resources"
  default     = ""
}

variable ibm_region {
  description = "IBM Cloud region where all resources will be deployed"
  default     = "us-east"
}

variable generation {
  description = "IBM Cloud VPC generation"
  default     = 2
}

##############################################################################
# Cluster Variables
##############################################################################
variable resource_group {
  description = "resource group of kube cluster"
}

variable vpc_name {
  description = "name of vpc"
}

variable az1_subnet {
  description = "id of subnet in availability zone 1 of region"
}

variable az3_subnet {
  description = "id of subnet in availability zone 3 of region"
}

// variable should_add_additional_2 {
//   default = false
// }